Bug 223328 - converters/bibtexconv: Update to 1.1.11
Summary: converters/bibtexconv: Update to 1.1.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL: https://www.uni-due.de/~be0001/bibtex...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-30 20:49 UTC by Thomas Dreibholz
Modified: 2017-11-18 13:39 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
The diff file (1.36 KB, patch)
2017-10-30 20:49 UTC, Thomas Dreibholz
no flags Details | Diff
bibtexconv-1.1.11.patch (2.44 KB, patch)
2017-11-02 16:53 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dreibholz 2017-10-30 20:49:36 UTC
Created attachment 187596 [details]
The diff file

The latest upstream version of converters/bibtexconv is 1.1.11; the port needs an update.

Fix: The updated diff file is attached.
Comment 1 Danilo G. Baio freebsd_committer 2017-11-02 16:53:47 UTC
Created attachment 187669 [details]
bibtexconv-1.1.11.patch

The attached patch has some changes:

- Improve LICENSE.
- Fixes EXAMPLES options (build problem when it is disabled).
- Include script ietf2bibtex (and Python 3 dependency).
- Add USES=ssl
Comment 2 Danilo G. Baio freebsd_committer 2017-11-02 16:55:30 UTC
Could you take a look?
Thanks.
Comment 3 Thomas Dreibholz 2017-11-16 21:22:24 UTC
The updated patch looks fine.
Comment 4 commit-hook freebsd_committer 2017-11-18 13:38:04 UTC
A commit references this bug:

Author: dbaio
Date: Sat Nov 18 13:37:20 UTC 2017
New revision: 454431
URL: https://svnweb.freebsd.org/changeset/ports/454431

Log:
  converters/bibtexconv: Update to 1.1.11 [1]

  Update MASTER_SITES and WWW. [1]
  Improve LICENSE.
  Switch to options helper (EXAMPLES).
  Include script ietf2bibtex (Python 3 dependency) and USES=ssl.

  PR:		223328
  Submitted by:	dreibh@iem.uni-due.de (maintainer) [1]

Changes:
  head/converters/bibtexconv/Makefile
  head/converters/bibtexconv/distinfo
  head/converters/bibtexconv/pkg-descr
Comment 5 Danilo G. Baio freebsd_committer 2017-11-18 13:39:20 UTC
Committed, thanks!